{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrastyle %}
    {{ block.super }}
    <script type="text/javascript" src="{% static 'custom/js/Labordocente/ventana_popup.js' %}"></script>
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}"/>
    {{ media }}
{% endblock %}

{% block bodyclass %}change-list{% endblock %}

{% block breadcrumbs %}
    <div class="breadcrumbs">
        <a href="../../../../">
            {% trans "Inicio" %} &rsaquo;
        </a>
        <a href="../../">
            {% trans "Ciclos Académicos" %} &rsaquo;
        </a>
        <a href="../../configurar/">
            {% trans "Configurar" %} &rsaquo;
        </a>
        {{ periodo }} ({{ labor.Nombre }} )
    </div>
{% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}
    <h2>{{ periodo }} ({{ labor.Nombre }})</h2>
    <div id="content-main">
        <div class="module aligned" id="changelist">
            {% block object-tools %}
                <ul class="object-tools">
                    {% if perms.Labor.add_periodolabor %}
                        <li>
                            <a id="lookup_id_PeriodoCurso" class="addlink"
                               onclick="return abrir_popup('../../agregar/{{ periodo.id }}/{{ labor.id }}/');"
                               href="../../agregar/{{ periodo.id }}/{{ labor.id }}/">
                                {% trans 'Agregar Grupo de labor docente' %}
                            </a>
                        </li>
                    {% endif %}
                </ul>
            {% endblock %}

            {% block result_list %}
                {% if labores %}
                    <table cellspacing="0">
                        <THEAD>
                        <TR>
                            <TH>&rsaquo;</TH>
                            <TH>{% trans 'Grupo Horario' %}</TH>
                            <TH>{% trans 'Docente' %}</TH>
                            <TH>{% trans 'Comentario' %}</TH>
                            {% if perms.Labor.change_periodolabor %}
                                <TH>{% trans 'Acción' %}</TH>
                            {% endif %}
                            {% if perms.Labor.delete_periodolabor %}
                                <TH>{% trans 'Acción' %}</TH>
                            {% endif %}
                        </TR>
                        </THEAD>
                        <TBODY>
                        {% for labor in labores.object_list %}
                            <TR class="{% cycle 'row1' 'row2' %}">
                                <TD>&rsaquo;</TD>
                                <TD><a href="../../ver/{{ labor.id }}/">{{ labor.Grupo|escape }}</a></TD>
                                <TD>{{ labor.Docente|escape }}</TD>
                                <TD>{{ labor.Observaciones|escape }}</TD>
                                {% if perms.Labor.change_periodolabor %}
                                    <TD><a class="changelink" href="../../editar/{{ labor.id|escape }}/"
                                           onclick="return abrir_popup('../../editar/{{ labor.id|escape }}/');"></a>
                                    </TD>
                                {% endif %}
                                {% if perms.Labor.delete_periodolabor %}
                                    <TD><a class="deletelink" href="../../{{ labor.id|escape }}/delete/"
                                           onclick="return abrir_popup('../../{{ labor.id|escape }}/delete/');"></a>
                                    </TD>
                                {% endif %}
                            </TR>
                        {% endfor %}
                        </TBODY>
                    </table>
                {% else %}
                    <p>{% trans 'No se encontraron coincidencias' %}</p>
                {% endif %}
            {% endblock %}
            {% block pagination %}
                <p class="paginator">
            <span class="step-links">
                {% if results.has_previous %}
                    <a href="?page={{ results.previous_page_number }}">previa</a>
                {% endif %}
                <span class="this-page">
                    Página {{ results.number }} de {{ results.paginator.num_pages }}
                </span>

                {% if results.has_next %}
                    <a href="?page={{ results.next_page_number }}">siguiente</a>
                {% endif %}
            </span>
                    {{ n_grupos }} Grupo(s) Horarios
                </p>
            {% endblock %}
        </div>
    </div>
{% endblock %}